Collabora and Nextcloud Refused to frame Error

I installed a fresh copy of ubuntu 16.04, with nextcloud 10, collabora online, apache, and ssl certificates and I get the error [quote] Refused to frame ‘https://127.0.0.1:9980/loleaflet/1.8.2/loleaflet.html?WOPISrc=https%3A%2F%2…opi%2Ffiles%2F782&title=prueba.odt&lang=es&closebutton=1&revisionhistory=1’ because it violates the following Content Security Policy directive: "frame-src ‘self’ [/quote]

I used the https://nextcloud.com/collaboraonline/ tutorial but using apache.

I installed a add-on to turn off the Content Security Policy y afterthat get a different error:

I’ve tried many different configurations and still the same error.

Any clues?

David

My bad… I missed the “ProxyPreserveHost On” in my vhost config. Working now, finally…